curl --request GET \
--url https://api.assembly.com/v1/channels/files/{id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.assembly.com/v1/channels/files/{id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.assembly.com/v1/channels/files/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"clientId": "a1b2c3d4-0000-0000-0000-000000000001",
"companyId": "a1b2c3d4-0000-0000-0000-000000000002",
"createdAt": "<string>",
"creatorId": "<string>",
"data": "<string>",
"id": "<string>",
"identityId": "<string>",
"lastNotificationSenderId": "a1b2c3d4-0000-0000-0000-000000000003",
"lastNotificationTimestamp": "2024-01-15T09:30:00Z",
"memberIds": [
"a1b2c3d4-0000-0000-0000-000000000003"
],
"membershipEntityId": "a1b2c3d4-0000-0000-0000-000000000002",
"membershipType": "company",
"object": "<string>",
"previousAttributes": {},
"ref": "<string>",
"rootClientPermissions": "read_write",
"updatedAt": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}Get File Channel by id
Retrieves a single file channel by its id. The requesting user must be a member of the channel.
Authorizations
Path Parameters
File channel id
Response
OK
Populated in the platform API only, these fields do not exist in the DB Client this channel belongs to (set when membershipType is individual).
"a1b2c3d4-0000-0000-0000-000000000001"
Company this channel belongs to (set when membershipType is company).
"a1b2c3d4-0000-0000-0000-000000000002"
Id of the member who triggered the most recent notification.
"a1b2c3d4-0000-0000-0000-000000000003"
Notification fields populated from Fields["lastNotification"] Timestamp of the most recent notification on the channel.
"2024-01-15T09:30:00Z"
Ids of the channel members.
["a1b2c3d4-0000-0000-0000-000000000003"]
Id of the entity (client or company) the channel is based on (deprecated legacy field).
"a1b2c3d4-0000-0000-0000-000000000002"
How the channel's members are grouped together.
individual, company, group "company"
Default permission level granted to client members on the channel's root folder.
read_write, read_only "read_write"